Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageChangeInformation Class Reference

`#include <vtkImageChangeInformation.h>`

Inheritance diagram for vtkImageChangeInformation:

[legend]
Collaboration diagram for vtkImageChangeInformation:

[legend]
List of all members.

## Detailed Description

modify spacing, origin and extent.

Date:
  2002/09/25 23:31:10

Revision:
  1.8

vtkImageChangeInformation modify the spacing, origin, or extent of the data without changing the data itself. The data is not resampled by this filter, only the information accompanying the data is modified.

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (91%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageChangeInformation.h)`
  - .`cxx` (`/Imaging/vtkImageChangeInformation.cxx)`

Tests:
  vtkImageChangeInformation (Tests)

Definition at line 48 of file vtkImageChangeInformation.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInformationInput (vtkImageData *)
virtual vtkImageData * | GetInformationInput ()
virtual void | SetOutputExtentStart (int, int, int)
virtual void | SetOutputExtentStart (int[3])
virtual int * | GetOutputExtentStart ()
virtual void | GetOutputExtentStart (int &, int &, int &)
virtual void | GetOutputExtentStart (int[3])
virtual void | SetOutputSpacing (float, float, float)
virtual void | SetOutputSpacing (float[3])
virtual float * | GetOutputSpacing ()
virtual void | GetOutputSpacing (float &, float &, float &)
virtual void | GetOutputSpacing (float[3])
virtual void | SetOutputOrigin (float, float, float)
virtual void | SetOutputOrigin (float[3])
virtual float * | GetOutputOrigin ()
virtual void | GetOutputOrigin (float &, float &, float &)
virtual void | GetOutputOrigin (float[3])
virtual void | SetCenterImage (int)
virtual void | CenterImageOn ()
virtual void | CenterImageOff ()
virtual int | GetCenterImage ()
virtual void | SetExtentTranslation (int, int, int)
virtual void | SetExtentTranslation (int[3])
virtual int * | GetExtentTranslation ()
virtual void | GetExtentTranslation (int &, int &, int &)
virtual void | GetExtentTranslation (int[3])
virtual void | SetSpacingScale (float, float, float)
virtual void | SetSpacingScale (float[3])
virtual float * | GetSpacingScale ()
virtual void | GetSpacingScale (float &, float &, float &)
virtual void | GetSpacingScale (float[3])
virtual void | SetOriginTranslation (float, float, float)
virtual void | SetOriginTranslation (float[3])
virtual float * | GetOriginTranslation ()
virtual void | GetOriginTranslation (float &, float &, float &)
virtual void | GetOriginTranslation (float[3])
virtual void | SetOriginScale (float, float, float)
virtual void | SetOriginScale (float[3])
virtual float * | GetOriginScale ()
virtual void | GetOriginScale (float &, float &, float &)
virtual void | GetOriginScale (float[3])
## Static Public Methods
vtkImageChangeInformation * | New ()
int | IsTypeOf (const char *type)
vtkImageChangeInformation * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageChangeInformation ()
| ~vtkImageChangeInformation ()
void | ComputeInputUpdateExtent (int extent[6], int wholeExtent[6])
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ExecuteData (vtkDataObject *data)
## Protected Attributes
vtkImageData * | InformationInput
int | CenterImage
int | OutputExtentStart [3]
int | ExtentTranslation [3]
int | FinalExtentTranslation [3]
float | OutputSpacing [3]
float | SpacingScale [3]
float | OutputOrigin [3]
float | OriginScale [3]
float | OriginTranslation [3]

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageChangeInformation::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 52 of file vtkImageChangeInformation.h.

## Constructor & Destructor Documentation

vtkImageChangeInformation::vtkImageChangeInformation | ( |  | ) | `[protected]`

vtkImageChangeInformation::~vtkImageChangeInformation | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageChangeInformation* vtkImageChangeInformation::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageChangeInformation::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageChangeInformation::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageChangeInformation::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageChangeInformation* vtkImageChangeInformation::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageChangeInformation::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageChangeInformation::SetInformationInput | ( | vtkImageData * |  | ) | `[virtual]`

| Copy the information from another data set. By default, the information is copied from the input.

virtual vtkImageData* vtkImageChangeInformation::GetInformationInput | ( |  | ) | `[virtual]`

| Copy the information from another data set. By default, the information is copied from the input.

virtual void vtkImageChangeInformation::SetOutputExtentStart | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Specify new starting values for the extent explicitly. These values are used as WholeExtent[0], WholeExtent[2] and WholeExtent[4] of the output. The default is to the use the extent start of the Input, or of the InformationInput if InformationInput is set.

virtual void vtkImageChangeInformation::SetOutputExtentStart | ( | int | [3] | ) | `[virtual]`

| Specify new starting values for the extent explicitly. These values are used as WholeExtent[0], WholeExtent[2] and WholeExtent[4] of the output. The default is to the use the extent start of the Input, or of the InformationInput if InformationInput is set.

virtual int* vtkImageChangeInformation::GetOutputExtentStart | ( |  | ) | `[virtual]`

| Specify new starting values for the extent explicitly. These values are used as WholeExtent[0], WholeExtent[2] and WholeExtent[4] of the output. The default is to the use the extent start of the Input, or of the InformationInput if InformationInput is set.

virtual void vtkImageChangeInformation::GetOutputExtentStart | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Specify new starting values for the extent explicitly. These values are used as WholeExtent[0], WholeExtent[2] and WholeExtent[4] of the output. The default is to the use the extent start of the Input, or of the InformationInput if InformationInput is set.

virtual void vtkImageChangeInformation::GetOutputExtentStart | ( | int | [3] | ) | `[virtual]`

| Specify new starting values for the extent explicitly. These values are used as WholeExtent[0], WholeExtent[2] and WholeExtent[4] of the output. The default is to the use the extent start of the Input, or of the InformationInput if InformationInput is set.

virtual void vtkImageChangeInformation::SetOutputSpacing | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify a new data spacing explicitly. The default is to use the spacing of the Input, or of the InformationInput if InformationInput is set.

virtual void vtkImageChangeInformation::SetOutputSpacing | ( | float | [3] | ) | `[virtual]`

| Specify a new data spacing explicitly. The default is to use the spacing of the Input, or of the InformationInput if InformationInput is set.

virtual float* vtkImageChangeInformation::GetOutputSpacing | ( |  | ) | `[virtual]`

| Specify a new data spacing explicitly. The default is to use the spacing of the Input, or of the InformationInput if InformationInput is set.

virtual void vtkImageChangeInformation::GetOutputSpacing | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Specify a new data spacing explicitly. The default is to use the spacing of the Input, or of the InformationInput if InformationInput is set.

virtual void vtkImageChangeInformation::GetOutputSpacing | ( | float | [3] | ) | `[virtual]`

| Specify a new data spacing explicitly. The default is to use the spacing of the Input, or of the InformationInput if InformationInput is set.

virtual void vtkImageChangeInformation::SetOutputOrigin | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify a new data origin explicitly. The default is to use the origin of the Input, or of the InformationInput if InformationInput is set.

virtual void vtkImageChangeInformation::SetOutputOrigin | ( | float | [3] | ) | `[virtual]`

| Specify a new data origin explicitly. The default is to use the origin of the Input, or of the InformationInput if InformationInput is set.

virtual float* vtkImageChangeInformation::GetOutputOrigin | ( |  | ) | `[virtual]`

| Specify a new data origin explicitly. The default is to use the origin of the Input, or of the InformationInput if InformationInput is set.

virtual void vtkImageChangeInformation::GetOutputOrigin | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Specify a new data origin explicitly. The default is to use the origin of the Input, or of the InformationInput if InformationInput is set.

virtual void vtkImageChangeInformation::GetOutputOrigin | ( | float | [3] | ) | `[virtual]`

| Specify a new data origin explicitly. The default is to use the origin of the Input, or of the InformationInput if InformationInput is set.

virtual void vtkImageChangeInformation::SetCenterImage | ( | int |  | ) | `[virtual]`

| Set the Origin of the output so that image coordinate (0,0,0) lies at the Center of the data set. This will override SetOutputOrigin. This is often a useful operation to apply before using vtkImageReslice to apply a transformation to an image.

virtual void vtkImageChangeInformation::CenterImageOn | ( |  | ) | `[virtual]`

| Set the Origin of the output so that image coordinate (0,0,0) lies at the Center of the data set. This will override SetOutputOrigin. This is often a useful operation to apply before using vtkImageReslice to apply a transformation to an image.

virtual void vtkImageChangeInformation::CenterImageOff | ( |  | ) | `[virtual]`

| Set the Origin of the output so that image coordinate (0,0,0) lies at the Center of the data set. This will override SetOutputOrigin. This is often a useful operation to apply before using vtkImageReslice to apply a transformation to an image.

virtual int vtkImageChangeInformation::GetCenterImage | ( |  | ) | `[virtual]`

| Set the Origin of the output so that image coordinate (0,0,0) lies at the Center of the data set. This will override SetOutputOrigin. This is often a useful operation to apply before using vtkImageReslice to apply a transformation to an image.

virtual void vtkImageChangeInformation::SetExtentTranslation | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Apply a translation to the extent.

virtual void vtkImageChangeInformation::SetExtentTranslation | ( | int | [3] | ) | `[virtual]`

| Apply a translation to the extent.

virtual int* vtkImageChangeInformation::GetExtentTranslation | ( |  | ) | `[virtual]`

| Apply a translation to the extent.

virtual void vtkImageChangeInformation::GetExtentTranslation | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Apply a translation to the extent.

virtual void vtkImageChangeInformation::GetExtentTranslation | ( | int | [3] | ) | `[virtual]`

| Apply a translation to the extent.

virtual void vtkImageChangeInformation::SetSpacingScale | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Apply a scale factor to the spacing.

virtual void vtkImageChangeInformation::SetSpacingScale | ( | float | [3] | ) | `[virtual]`

| Apply a scale factor to the spacing.

virtual float* vtkImageChangeInformation::GetSpacingScale | ( |  | ) | `[virtual]`

| Apply a scale factor to the spacing.

virtual void vtkImageChangeInformation::GetSpacingScale | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Apply a scale factor to the spacing.

virtual void vtkImageChangeInformation::GetSpacingScale | ( | float | [3] | ) | `[virtual]`

| Apply a scale factor to the spacing.

virtual void vtkImageChangeInformation::SetOriginTranslation | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Apply a translation to the origin.

virtual void vtkImageChangeInformation::SetOriginTranslation | ( | float | [3] | ) | `[virtual]`

| Apply a translation to the origin.

virtual float* vtkImageChangeInformation::GetOriginTranslation | ( |  | ) | `[virtual]`

| Apply a translation to the origin.

virtual void vtkImageChangeInformation::GetOriginTranslation | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Apply a translation to the origin.

virtual void vtkImageChangeInformation::GetOriginTranslation | ( | float | [3] | ) | `[virtual]`

| Apply a translation to the origin.

virtual void vtkImageChangeInformation::SetOriginScale | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Apply a scale to the origin. The scale is applied before the translation.

virtual void vtkImageChangeInformation::SetOriginScale | ( | float | [3] | ) | `[virtual]`

| Apply a scale to the origin. The scale is applied before the translation.

virtual float* vtkImageChangeInformation::GetOriginScale | ( |  | ) | `[virtual]`

| Apply a scale to the origin. The scale is applied before the translation.

virtual void vtkImageChangeInformation::GetOriginScale | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Apply a scale to the origin. The scale is applied before the translation.

virtual void vtkImageChangeInformation::GetOriginScale | ( | float | [3] | ) | `[virtual]`

| Apply a scale to the origin. The scale is applied before the translation.

void vtkImageChangeInformation::ComputeInputUpdateExtent | ( | int | extent[6],
|  | int | wholeExtent[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageChangeInformation::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageChangeInformation::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 142 of file vtkImageChangeInformation.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageChangeInformation::ExecuteData | ( | vtkDataObject * | data | ) | `[protected]`

| Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

vtkImageData* vtkImageChangeInformation::InformationInput`[protected]`

| Definition at line 126 of file vtkImageChangeInformation.h.

int vtkImageChangeInformation::CenterImage`[protected]`

| Definition at line 127 of file vtkImageChangeInformation.h.

int vtkImageChangeInformation::OutputExtentStart[3]`[protected]`

| Definition at line 129 of file vtkImageChangeInformation.h.

int vtkImageChangeInformation::ExtentTranslation[3]`[protected]`

| Definition at line 130 of file vtkImageChangeInformation.h.

int vtkImageChangeInformation::FinalExtentTranslation[3]`[protected]`

| Definition at line 131 of file vtkImageChangeInformation.h.

float vtkImageChangeInformation::OutputSpacing[3]`[protected]`

| Definition at line 133 of file vtkImageChangeInformation.h.

float vtkImageChangeInformation::SpacingScale[3]`[protected]`

| Definition at line 134 of file vtkImageChangeInformation.h.

float vtkImageChangeInformation::OutputOrigin[3]`[protected]`

| Definition at line 136 of file vtkImageChangeInformation.h.

float vtkImageChangeInformation::OriginScale[3]`[protected]`

| Definition at line 137 of file vtkImageChangeInformation.h.

float vtkImageChangeInformation::OriginTranslation[3]`[protected]`

| Definition at line 138 of file vtkImageChangeInformation.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageChangeInformation.h